Debian Bug report logs - #382465
FTBFS on arm, sparc, ia64, hppa

version graph

Package: tla; Maintainer for tla is Debian QA Group <packages@qa.debian.org>; Source for tla is src:tla.

Reported by: Faidon Liambotis <paravoid@debian.org>

Date: Fri, 11 Aug 2006 09:03:01 UTC

Severity: serious

Tags: patch

Found in version tla/1.3.5+dfsg-2

Fixed in version tla/1.3.5+dfsg-4

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, paravoid@debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#382465; Package tla. Full text and rfc822 format available.

Acknowledgement sent to Faidon Liambotis <paravoid@debian.org>:
New Bug report received and forwarded. Copy sent to paravoid@debian.org, Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Faidon Liambotis <paravoid@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS on arm, sparc, ia64, hppa
Date: Fri, 11 Aug 2006 11:38:32 +0300
Package: tla
Version: 1.3.5+dfsg-2
Severity: serious
Justification: no longer builds from source

tla 1.3.5+dfsg-2 fails to build from source on arm, sparc, ia64 and
hppa[1].
The error presented on all but arm is:
/build/buildd/tla-1.3.5+dfsg/src/tla/tests/test-framework: line 26:
18604 Bus error               ${builddir}/../tla/tla "$@"

arm shows a "MISMATCHED ARCHIVE CHECKSUM", which I'm not sure is tla's
fault:
  expected:
 MD5: f33ff22e02ce6c757bbd5f524f6fce6e
 SHA1: 19edf794d8697ef1ce41ae58415a77e8c3570100
  got:
 MD5: f33ff22e02ce6c757bbd5f524f6fce6e
 SHA1: 0532b3b8a2b14178a45cf80d30f5d476d5e3daa0

This bug currently blocks the neon transition.

Regards,
Faidon

1: http://buildd.debian.org/build.php?arch=&pkg=tla



Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#382465; Package tla. Full text and rfc822 format available.

Acknowledgement sent to Sylvain Beucler <beuc@beuc.net>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #10 received at 382465@bugs.debian.org (full text, mbox):

From: Sylvain Beucler <beuc@beuc.net>
To: 382465@bugs.debian.org
Subject: Re: Bug#382465: FTBFS on arm, sparc, ia64, hppa
Date: Fri, 11 Aug 2006 11:24:45 +0200
> tla 1.3.5+dfsg-2 fails to build from source on arm, sparc, ia64 and
> hppa[1].

Actually it builds, but the test suite fails on those architectures. I
reported that upstream and they're working on it.
http://lists.gnu.org/archive/html/gnu-arch-users/2006-08/msg00006.html

Maybe we can drop the test suite from the build process, though Daniel
was not in favor of such as move.


> This bug currently blocks the neon transition.

We've dropped the libneon dependency (statically linked with the
included libneon24 - migration to libneon26 bugreported upstream).
http://lists.gnu.org/archive/html/gnu-arch-users/2006-07/msg00023.html

Where do you see this?

-- 
Sylvain



Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Faidon Liambotis <paravoid@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 382465-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 382465-close@bugs.debian.org
Subject: Bug#382465: fixed in tla 1.3.5+dfsg-3
Date: Fri, 11 Aug 2006 08:02:25 -0700
Source: tla
Source-Version: 1.3.5+dfsg-3

We believe that the bug you reported is fixed in the latest version of
tla, which is due to be installed in the Debian FTP archive:

tla-doc_1.3.5+dfsg-3_all.deb
  to pool/main/t/tla/tla-doc_1.3.5+dfsg-3_all.deb
tla_1.3.5+dfsg-3.diff.gz
  to pool/main/t/tla/tla_1.3.5+dfsg-3.diff.gz
tla_1.3.5+dfsg-3.dsc
  to pool/main/t/tla/tla_1.3.5+dfsg-3.dsc
tla_1.3.5+dfsg-3_i386.deb
  to pool/main/t/tla/tla_1.3.5+dfsg-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 382465@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated tla package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 11 Aug 2006 16:49:00 +0200
Source: tla
Binary: tla-doc tla
Architecture: source i386 all
Version: 1.3.5+dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 tla        - GNU arch revision control system
 tla-doc    - GNU arch revision control system (documentaiton)
Closes: 382465
Changes: 
 tla (1.3.5+dfsg-3) unstable; urgency=low
 .
   * Temporary skipping archs where the testsuite is broken (Closes: #382465).
Files: 
 1b62d193530b1e95b53f8aada967fd31 589 devel optional tla_1.3.5+dfsg-3.dsc
 a1d142be096c98ea9b4c689287f8ba4e 28555 devel optional tla_1.3.5+dfsg-3.diff.gz
 539b20285073383e372760510e2617ef 49490 doc optional tla-doc_1.3.5+dfsg-3_all.deb
 0a84fa7b87bf7fb26d33dcfa05236ba1 383126 devel optional tla_1.3.5+dfsg-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFE3JtO+C5cwEsrK54RApTMAJ4+wTtsMbdOSaMI/svM9cDzpbnysACg2FDC
ZKl41/UvBb9RBSH2IrInhD8=
=5FTI
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#382465; Package tla. Full text and rfc822 format available.

Acknowledgement sent to "Martín Ferrari" <martin.ferrari@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #20 received at 382465@bugs.debian.org (full text, mbox):

From: "Martín Ferrari" <martin.ferrari@gmail.com>
To: 382465@bugs.debian.org, 382465-submitter@bugs.debian.org
Subject: bugs
Date: Mon, 21 Aug 2006 04:39:41 -0300
I've been reviewing this bug the last hours. I can confirm that this
bug is _not fixed_, tla is not usable in ia64, and I suspect is the
same in the other arches.

In ia64, there is present a misalignment warning, and a segmentation
fault. I could correct the latter, and I'm investigating the former. I
suspect the bus error in sparc is attributable to the same problem
with the alignment.

I'm still working on this, and I plan to reopen the bug as separate bug reports.

-- 
Martín Ferrari

Message sent on to Faidon Liambotis <paravoid@debian.org>:
Bug#382465. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#382465; Package tla. Full text and rfc822 format available.

Acknowledgement sent to "Martín Ferrari" <martin.ferrari@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #28 received at 382465@bugs.debian.org (full text, mbox):

From: "Martín Ferrari" <martin.ferrari@gmail.com>
To: control@bugs.debian.org, 382465@bugs.debian.org
Subject: Fix for the FTBFS on ia64
Date: Mon, 21 Aug 2006 17:51:27 -0300
reopen 382465
tags 382465 +patch
thanks

Hi, I could fix the FTBFS in ia64, which was caused by a segmentation
fault in the command line processing, because there was missing a
function prototype and gcc used a generic one which truncated a
pointer. I include the patch to fix it.

Still, I have found lots of places (10+) where something similar is
happening, but I don't know how much do they hurt. And I couldn't fix
the alignment error in hppa/sparc yet.


--- invent.c    2006-08-21 01:10:05.000000000 -0600
+++ src/tla/libarch/invent.c    2006-08-21 01:15:37.000000000 -0600
@@ -16,6 +16,7 @@
#include "hackerlab/arrays/ar.h"
#include "hackerlab/fs/file-names.h"
#include "hackerlab/vu/safe.h"
+#include "tla/libarch/cmdutils.h"
#include "tla/libarch/inode-sig.h"
#include "tla/libarch/inv-ids.h"
#include "tla/libarch/invent.h"



-- 
Martín Ferrari

Bug reopened, originator not changed. Request was from "Martín Ferrari" <martin.ferrari@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from "Martín Ferrari" <martin.ferrari@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#382465; Package tla. Full text and rfc822 format available.

Acknowledgement sent to "Martín Ferrari" <martin.ferrari@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #37 received at 382465@bugs.debian.org (full text, mbox):

From: "Martín Ferrari" <martin.ferrari@gmail.com>
To: 382465@bugs.debian.org
Subject: Fix for hppa
Date: Mon, 21 Aug 2006 19:34:28 -0300
-- 
Martín Ferrari

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#382465; Package tla. Full text and rfc822 format available.

Acknowledgement sent to "Martín Ferrari" <martin.ferrari@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #42 received at 382465@bugs.debian.org (full text, mbox):

From: "Martín Ferrari" <martin.ferrari@gmail.com>
To: 382465@bugs.debian.org
Subject: Fix for hppa FTBFS
Date: Mon, 21 Aug 2006 19:40:38 -0300
[Message part 1 (text/plain, inline)]
Hi,

I think I could fix the alignment errors. I had to change various
things, as the code was totally unaware of alignment problems, and I
really doubt that this ever worked on archs where correct alignment is
mandatory.

Please, look at it, as it changes the SHA1 code (and downgrades
performance, I know, I tried to keep it as simple as possible). There
were three problems WRT alignment: the buffer passed by the user is a
char array, later interpreted as ints; the context buffer and the
returned hash suffer the same problem.


-- 
Martín Ferrari
[tla-alignment-error-hppa-sparc.patch (text/x-patch, attachment)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Faidon Liambotis <paravoid@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 382465-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 382465-close@bugs.debian.org
Subject: Bug#382465: fixed in tla 1.3.5+dfsg-4
Date: Mon, 28 Aug 2006 00:47:20 -0700
Source: tla
Source-Version: 1.3.5+dfsg-4

We believe that the bug you reported is fixed in the latest version of
tla, which is due to be installed in the Debian FTP archive:

tla-doc_1.3.5+dfsg-4_all.deb
  to pool/main/t/tla/tla-doc_1.3.5+dfsg-4_all.deb
tla_1.3.5+dfsg-4.diff.gz
  to pool/main/t/tla/tla_1.3.5+dfsg-4.diff.gz
tla_1.3.5+dfsg-4.dsc
  to pool/main/t/tla/tla_1.3.5+dfsg-4.dsc
tla_1.3.5+dfsg-4_i386.deb
  to pool/main/t/tla/tla_1.3.5+dfsg-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 382465@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated tla package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 28 Aug 2006 09:14:00 +0200
Source: tla
Binary: tla-doc tla
Architecture: source i386 all
Version: 1.3.5+dfsg-4
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 tla        - GNU arch revision control system
 tla-doc    - GNU arch revision control system (documentaiton)
Closes: 382465
Changes: 
 tla (1.3.5+dfsg-4) unstable; urgency=low
 .
   * Adding 01-segfault-ia64.dpatch and 02-alignment-hppa-sparc.dpatch to fix
     FTBFS on hppa, ia64, and sparc (Closes: #382465).
   * The testsuite was disabled on a selection of archs in the last revision
     because it's know that the testsuite is broken on some archs. E.g. for arm,
     this is definitely the case. In lack of testing possibilities, I'm
     re-enabling the testsuite on hppa, ia64 and sparc, because it's not know
     if the testsuite do run or not, now that the FTBFS seems to be fixed. If
     they fail, the testsuite must be broken on those archs too (assumed the
     FTBFS fix is sufficient :)
Files: 
 910a6f5cab6df6cdad77111af7bd06d5 597 devel optional tla_1.3.5+dfsg-4.dsc
 189b466bf78f900de27a05599cfd46c8 30001 devel optional tla_1.3.5+dfsg-4.diff.gz
 cb56f790ba456e524210b2198c002a7d 49794 doc optional tla-doc_1.3.5+dfsg-4_all.deb
 3f05e75d8a92500d064e6cdd873de80f 383284 devel optional tla_1.3.5+dfsg-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFE8prx+C5cwEsrK54RApWXAKC+n2q/TqQtPDcL77LpKlZ+J+WeUACgkmGF
7zzjISlDd9/hwhA9vWIz1WY=
=LRTc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 06:33:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:14:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.